Package org.a2aproject.sdk.grpc
Interface GetTaskRequestOrBuilder
- All Superinterfaces:
com.google.protobuf.MessageLiteOrBuilder,com.google.protobuf.MessageOrBuilder
- All Known Implementing Classes:
GetTaskRequest,GetTaskRequest.Builder
@Generated
public interface GetTaskRequestOrBuilder
extends com.google.protobuf.MessageOrBuilder
-
Method Summary
Modifier and TypeMethodDescriptionintThe maximum number of most recent messages from the task's history to retrieve.getId()The resource ID of the task to retrieve.com.google.protobuf.ByteStringThe resource ID of the task to retrieve.Optional.com.google.protobuf.ByteStringOptional.booleanThe maximum number of most recent messages from the task's history to retrieve.Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
isInitializedMethods inherited from interface com.google.protobuf.MessageOrBuilder
findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof
-
Method Details
-
getTenant
String getTenant()Optional. Tenant ID, provided as a path parameter.
string tenant = 1;- Returns:
- The tenant.
-
getTenantBytes
com.google.protobuf.ByteString getTenantBytes()Optional. Tenant ID, provided as a path parameter.
string tenant = 1;- Returns:
- The bytes for tenant.
-
getId
String getId()The resource ID of the task to retrieve.
string id = 2 [(.google.api.field_behavior) = REQUIRED];- Returns:
- The id.
-
getIdBytes
com.google.protobuf.ByteString getIdBytes()The resource ID of the task to retrieve.
string id = 2 [(.google.api.field_behavior) = REQUIRED];- Returns:
- The bytes for id.
-
hasHistoryLength
boolean hasHistoryLength()The maximum number of most recent messages from the task's history to retrieve. An unset value means the client does not impose any limit. A value of zero is a request to not include any messages. The server MUST NOT return more messages than the provided value, but MAY apply a lower limit.
optional int32 history_length = 3;- Returns:
- Whether the historyLength field is set.
-
getHistoryLength
int getHistoryLength()The maximum number of most recent messages from the task's history to retrieve. An unset value means the client does not impose any limit. A value of zero is a request to not include any messages. The server MUST NOT return more messages than the provided value, but MAY apply a lower limit.
optional int32 history_length = 3;- Returns:
- The historyLength.
-